---
title: Document.scripts
slug: Web/API/Document/scripts
tags:
  - API
  - Document
  - HTML DOM
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>scripts</code></strong> property of the {{domxref("Document")}} interface <span class="seosummary">returns a list of the {{HTMLElement("script")}} elements in the document.</span> The returned object is an {{domxref("HTMLCollection")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>scriptList</var> = <var>document</var>.scripts;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCollection")}}. You can use this just like an array to get all the elements in the list.</p>

<h2 id="Example">Example</h2>

<p>This example looks to see if the page has any {{HTMLElement("script")}} elements.</p>

<pre class="brush:js">let scripts = document.scripts;

if (scripts.length) {
  alert('This page has scripts!');
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-scripts', 'Document.scripts')}}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.scripts")}}</div>
